{%- include global_variables.html -%}

<div class="w-100 bd-navbar">
  <nav class="navbar navbar-dark navbar-expand-lg background-primary d-flex flex-wrap flex-md-nowrap justify-content-between py-1">
    {% comment %}
      XXX: Starting from medium screens this element is absolutely
      positioned so it's always centered even if the left dropdown menu
      grows.

      The content is hidden for screen readers because the titlebar
      contains the full book title.
    {% endcomment %}
    <div class="w-100 position-md-absolute navbar-brand text-uppercase text-center pointer-event-none" aria-hidden="true">
      <a href="{{ '/' | relative_url }}" class="h3 white mb-0 text-decoration-none letter-spacing">
        {{ site.title }}
        {{ current_site_modifier | remove: ':' }}
      </a>
    </div>

    <div class="position-relative w-100 d-flex align-items-center justify-content-between">
      {%- capture responsive_menu -%}
        <span class="navbar-toggler-icon"></span>
      {%- endcapture -%}
      {% include_cached toggler_label.html id="responsive-menu" class="navbar-toggler" content=responsive_menu -%}
      {% include_cached toggler.html id="responsive-menu" type="radio" -%}

      <div class="toggled untoggled-md navbar-collapse position-absolute position-md-relative left-0 w-100 w-md-auto background-primary background-md-transparent overflow-y-scroll overflow-y-md-visible top-navbar-sm top-md-0 grow-vertically">
        <div class="navbar-nav d-flex align-items-center pt-3 pt-md-0">
          <div class="nav-item w-100 w-lg-auto">
            <a class="nav-link px-30px mb-3 mb-md-0 text-uppercase font-weight-bold h6 white" href="{{ '/' | relative_url }}">
              {{ t.navbar.home }}
            </a>
          </div>

          {%- include_cached toggler.html id="close" name="dropdown" type="radio" -%}

          {% comment %}
            Generate dropdown menus recursively
          {% endcomment %}
          {% for layout in site.book_layouts -%}
            {% assign posts = site.posts | where: 'layout', layout %}
            {% if posts == empty %}{% continue %}{% endif %}

            <div class="nav-item w-100 w-lg-auto">
              <div class="nav-link px-3 mb-3 mb-md-0">
                {%- assign toggler_content = t.navbar[layout] -%}
                {%- include_cached toggler_label.html id=layout content=toggler_content class="white text-uppercase font-weight-bold h6 mb-0" -%}
                <i class="fa fa-caret-down f-24px white ml-2" aria-hidden="true"></i>

                {%- include_cached toggler.html id=layout name="dropdown" type="radio" -%}
                <div class="toggled position-md-absolute px-3 pb-2 background-primary grow-vertically z-index-navbar">

                  <ul class="list-unstyled mb-0 mt-3">
                    {% for post in posts %}
                      <li class="{{ forloop.last | value_unless: 'mb-3' }}">
                        <a class="nav-link font-weight-bold white text-nowrap" href="{{ post.url | relative_url }}">{{ post.title }}</a>
                      </li>
                    {% endfor %}
                  </ul>
                </div>

                {% comment %}
                  Close the menu when touching outside it
                {% endcomment %}
                <div class="toggled position-fixed w-100 left-0 h-100vh" style="z-index: 0">
                  {%- include_cached toggler_related.html id="close" class="w-100 h-100" -%}
                </div>
              </div>
            </div>
          {% endfor %}
        </div>
      </div>

      <div class="nav-item">
        <div class="nav-link text-right">
          {%- capture search_content -%}
            {{ t.navbar.search }}
            <i class="fa fa-fw fa-search" aria-hidden="true"></i>
          {%- endcapture -%}
          {%- include_cached toggler_label.html id='search' class='white text-uppercase font-weight-bold h6 mb-0 cursor-pointer' content=search_content -%}

          {%- include_cached toggler.html id="search" name="dropdown" type="radio" -%}
          <div class="toggled position-absolute right-0 top-navbar-sm top-md-navbar">
            <div class="text-left background-primary p-3">
              {% include_cached search.html t=t %}
            </div>
          </div>

          {% comment %}
            Close the menu when touching outside it
          {% endcomment %}
          <div class="toggled position-fixed w-100 left-0 h-100vh" style="z-index: 0">
            {%- include_cached toggler_related.html id="close" class="w-100 h-100" -%}
          </div>
        </div>
      </div>

      {% comment %}
        Close the menu when touching outside it
      {% endcomment %}
      <div class="toggled position-fixed w-100 left-0 h-100vh top-navbar-sm" style="z-index: 0">
        {%- include_cached toggler_related.html id="responsive-menu-close" class="w-100 h-100" -%}
        {% include_cached toggler.html id="responsive-menu-close" type="radio" name="responsive-menu" -%}
      </div>
    </div>
  </nav>
</div>
